MKFS.CRAMFS(8)

NOM
mkfs.cramfs - Créer un système de fichiers compressé en lecture seule

SYNOPSIS
mkfs.cramfs [options] répertoire fichier

DESCRIPTION
Les fichiers sur systèmes de fichiers cramfs sont compressés avec zlib une page à la fois pour permettre l’accès en lecture aléatoire. Les métadonnées ne sont pas compressées, mais sont exprimées en représentation abrégée qui prend moins de place que celle des systèmes de fichiers conventionnels.

Le système de fichiers est intentionnellement en lecture seule pour simplifier sa conception ; l’accès en lecture aléatoire pour les fichiers compressés est difficile à implémenter. cramfs embarque un utilitaire (mkcramfs) pour empaqueter les fichiers dans de nouvelles images cramfs.

La taille des fichiers est limitée à moins de 16 Mo.

La taille maximale du système de fichiers est un peu inférieure à 272 Mo (le dernier fichier sur le système de fichiers doit commencer avant le bloc de 256 Mo, mais peut continuer au-delà).

PARAMÈTRES
Le répertoire est simplement la racine de l’arborescence utilisée pour générer un système de fichiers compressé.

Le fichier contiendra le système de fichiers cramfs qui pourra ensuite être monté.

OPTIONS

-v  Activer le mode verbeux.

-E  Traiter tous les avertissements comme des erreurs, qui sont reflétés comme code de retour de la commande.

-b taillebloc
    Utiliser la taille de bloc définie, qui doit être divisible par la taille de page.

-e édition
    Utiliser le numéro d’édition de système de fichiers défini dans le superbloc.

-N [big|little|host]
    Utiliser le boutisme défini. La valeur par défaut est host.

-i fichier
    Insérer un fichier dans un système de fichiers cramfs.

-n nom
    Définir le nom du système de fichiers cramfs.

-p  Remplir de 512 octets pour le code d’amorçage.

-s  Cette option est ignorée. À l’origine, -s activait le tri des entrées de répertoire.

-z  Rendre les trous explicites. Cette option nécessite un noyau 2.3.39 ou plus récent.

-V  Afficher les informations sur la version et quitter.

-h  Afficher l'aide puis quitter.

CODES DE RETOUR
    0   réussite
    8   erreur d’opération, comme un échec d’allocation mémoire

VOIR AUSSI
mount(8), fsck.cramfs(8)

DISPONIBILITÉ
La commande d’exemple fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.